Skip to content

Get a report's status

GET
/v1/reports/{slug}/status
curl --request GET \
--url https://api.recomention.com/v1/reports/example/status \
--header 'Authorization: Bearer <token>'

Where a report is, with answers stored so far. Poll about once a minute.

slug
required
string

The status.

Media typeapplication/json
object
status
required
object
slug
required
string
url
required

The report page.

string
status
required
string
Allowed values: PENDING RUNNING COMPLETE FAILED
simulated
required

A test run with made-up answers. Draw no conclusions from it.

boolean
plan
required
string
funding
required
Any of:
string
Allowed value: BYOK
overallScore
required
Any of:
number
createdAt
required
string format: date-time
completedAt
required
Any of:
string format: date-time
brand
required
string
domain
required
string
category
required
string
progress
required
Any of:
object
answersStored
required
integer
>= -9007199254740991 <= 9007199254740991
answersPlanned
required
integer
>= -9007199254740991 <= 9007199254740991
error
required
Any of:
string

Example

{
"status": {
"status": "PENDING",
"funding": "BYOK"
}
}

Missing, malformed, unknown or revoked API key.

Media typeapplication/json
object
error
required

What went wrong, in plain words. Never repeats a submitted secret.

string
fields

Request fields to fix (400).

Array<string>
retryAfterSeconds

Seconds to wait before retrying (429).

integer
>= -9007199254740991 <= 9007199254740991
limit

Which plan limit refused a start: plan, projects, reportsPerMonth, perDay, concurrent.

string
status

The report’s status, when it explains the refusal (409).

string

Example generated

{
"error": "example",
"fields": [
"example"
],
"retryAfterSeconds": 1,
"limit": "example",
"status": "example"
}

Not found. Someone else’s report answers the same as a missing one.

Media typeapplication/json
object
error
required

What went wrong, in plain words. Never repeats a submitted secret.

string
fields

Request fields to fix (400).

Array<string>
retryAfterSeconds

Seconds to wait before retrying (429).

integer
>= -9007199254740991 <= 9007199254740991
limit

Which plan limit refused a start: plan, projects, reportsPerMonth, perDay, concurrent.

string
status

The report’s status, when it explains the refusal (409).

string

Example generated

{
"error": "example",
"fields": [
"example"
],
"retryAfterSeconds": 1,
"limit": "example",
"status": "example"
}

Rate limited. Wait Retry-After seconds.

Media typeapplication/json
object
error
required

What went wrong, in plain words. Never repeats a submitted secret.

string
fields

Request fields to fix (400).

Array<string>
retryAfterSeconds

Seconds to wait before retrying (429).

integer
>= -9007199254740991 <= 9007199254740991
limit

Which plan limit refused a start: plan, projects, reportsPerMonth, perDay, concurrent.

string
status

The report’s status, when it explains the refusal (409).

string

Example generated

{
"error": "example",
"fields": [
"example"
],
"retryAfterSeconds": 1,
"limit": "example",
"status": "example"
}
Retry-After
integer

Seconds to wait.

RateLimit-Limit
integer

Requests allowed in the window.

RateLimit-Remaining
integer

Requests left in the window (0 on a 429).

RateLimit-Reset
integer

Seconds until the window resets.

A dependency is briefly unavailable. Retry after Retry-After seconds.

Media typeapplication/json
object
error
required

What went wrong, in plain words. Never repeats a submitted secret.

string
fields

Request fields to fix (400).

Array<string>
retryAfterSeconds

Seconds to wait before retrying (429).

integer
>= -9007199254740991 <= 9007199254740991
limit

Which plan limit refused a start: plan, projects, reportsPerMonth, perDay, concurrent.

string
status

The report’s status, when it explains the refusal (409).

string

Example generated

{
"error": "example",
"fields": [
"example"
],
"retryAfterSeconds": 1,
"limit": "example",
"status": "example"
}
Retry-After
integer

Seconds to wait.